import { ref } from 'vue';
import createStore from '@zjxpcyc/vue-tiny-store';

const usePoem = () => {
  const content = ref()

  const update = (val) => {
    content.value = val;
  }

  return [
    content,
    update,
  ]
};

const useQRCode = () => {
  const content = ref()

  const update = (val) => {
    content.value = val;
  }

  return [
    content,
    update,
  ]
};

const store = createStore({ poem: usePoem, qrcode: useQRCode });

export default store;
